VirtualBox

Ticket #964 (closed defect: fixed)

Opened 6 years ago

Last modified 6 years ago

the last svn checkout doesn't build

Reported by: IakovK Owned by: bird
Priority: major Component: other
Version: VirtualBox 1.5.2 Keywords: kbuild OSE
Cc: Guest type: other
Host type: other

Description

I have downloaded the latest revision of sources:

svn info results: Path: . URL:  http://virtualbox.org/svn/vbox/trunk Repository Root:  http://virtualbox.org/svn/vbox Repository UUID: cfe28804-0f27-0410-a406-dd0f0b0b656f Revision: 5995 Node Kind: directory Schedule: normal Last Changed Author: vboxsync Last Changed Rev: 5995 Last Changed Date: 2007-12-07 10:13:43 +0300

Attached kmk.log contains the results of kmk invocation

Attachments

kmk.log Download (4.1 KB) - added by IakovK 6 years ago.
results of virtualbox build attempt
kmk.2.log Download (22.9 KB) - added by IakovK 6 years ago.
kmk log file produced by verbose logging
env.log Download (2.7 KB) - added by IakovK 6 years ago.
environment

Change History

Changed 6 years ago by IakovK

results of virtualbox build attempt

comment:1 Changed 6 years ago by frank

Which svn version of kBuild is that?

comment:2 Changed 6 years ago by IakovK

This is what the svn info command gave when issued from vbox\kbuild folder:

Path: .
URL: http://virtualbox.org/svn/kbuild-mirror/trunk/kBuild
Repository Root: http://virtualbox.org/svn/kbuild-mirror
Repository UUID: b271bc08-0e3f-0410-a28c-efee409d5434
Revision: 1366
Node Kind: directory
Schedule: normal
Last Changed Author: bird
Last Changed Rev: 1366
Last Changed Date: 2007-12-03 05:22:55 +0300

comment:3 Changed 6 years ago by frank

Try again with the latest update.

comment:4 Changed 6 years ago by IakovK

Done.

The result is the same: c00000fd when linking uniread.

Path: .
URL: http://virtualbox.org/svn/kbuild-mirror/trunk/kBuild
Repository Root: http://virtualbox.org/svn/kbuild-mirror
Repository UUID: b271bc08-0e3f-0410-a28c-efee409d5434
Revision: 1370
Node Kind: directory
Schedule: normal
Last Changed Author: bird
Last Changed Rev: 1370
Last Changed Date: 2007-12-10 00:03:03 +0300

comment:5 follow-up: ↓ 6 Changed 6 years ago by bird

  • Owner set to bird
  • Status changed from new to assigned

c00000fd seems to mean stack overflow according to a quick google. So, there is something recursive that goes wrong here... I cannot quite imagine what it might be though.

There are two ways of moving forward here; (1) more logs and testing, (2) you build a debug build of kmk and configure just-in-time debugging (windbg -I for instance).

For (1) I will need to have a log of kmk KBUILD_VERBOSE=9 --debug=j > log 2>&1 and (probably) a dump of the environment (after you executed the env.bat file).

For (2) you check out the source svn co http://svn.netlabs.org/repos/kbuild/trunk and build it. It requires visual c++ 2003 (not 2005) and the WINPSDK. It's a bit tricky unless you've got the right setup...

Changed 6 years ago by IakovK

kmk log file produced by verbose logging

Changed 6 years ago by IakovK

environment

comment:6 in reply to: ↑ 5 Changed 6 years ago by IakovK

Replying to bird:

c00000fd seems to mean stack overflow according to a quick google.

And according to Microsof DDK too:

//
// MessageId: STATUS_STACK_OVERFLOW
//
// MessageText:
//
//  A new guard page for the stack cannot be created.
//
#define STATUS_STACK_OVERFLOW            ((NTSTATUS)0xC00000FDL)    // winnt

There are two ways of moving forward here; (1) more logs and testing, (2) you build a debug build of kmk and configure just-in-time debugging (windbg -I for instance).

For (1) I will need to have a log of kmk KBUILD_VERBOSE=9 --debug=j > log 2>&1 and (probably) a dump of the environment (after you executed the env.bat file).

Done. See attachments.

For (2) you check out the source svn co http://svn.netlabs.org/repos/kbuild/trunk and build it. It requires visual c++ 2003 (not 2005) and the WINPSDK. It's a bit tricky unless you've got the right setup...

No, thank you. Too much trouble. ;-)

comment:7 follow-up: ↓ 8 Changed 6 years ago by bird

  • Status changed from assigned to closed
  • Resolution set to fixed

Found and fixed the problem. Will update the kBuild link tomorrow.

comment:8 in reply to: ↑ 7 Changed 6 years ago by IakovK

  • Status changed from closed to reopened
  • Resolution fixed deleted

Replying to bird:

Found and fixed the problem. Will update the kBuild link tomorrow.

Not updated yet.

comment:9 Changed 6 years ago by sandervl73

  • Status changed from reopened to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use